Package org.w3c.tidy

# Interface TagCheck

All Known Implementing Classes:
  `TagCheckImpl.CheckAnchor`, `TagCheckImpl.CheckAREA`, `TagCheckImpl.CheckCaption`, `TagCheckImpl.CheckForm`, `TagCheckImpl.CheckHR`, `TagCheckImpl.CheckHTML`, `TagCheckImpl.CheckIMG`, `TagCheckImpl.CheckLINK`, `TagCheckImpl.CheckMap`, `TagCheckImpl.CheckMeta`, `TagCheckImpl.CheckSCRIPT`, `TagCheckImpl.CheckSTYLE`, `TagCheckImpl.CheckTABLE`, `TagCheckImpl.CheckTableCell`

public interface TagCheck
Check HTML attributes.

Version:
  $Revision: 408 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Method Summary

Modifier and Type
Method
Description
`void`
`check(Lexer lexer, Node node)`
Checks attributes in given Node.

## Method Details

### check

void check(Lexer lexer, Node node)
Checks attributes in given Node.

Parameters:
  `lexer` - Lexer
  `node` - Node to check for valid attributes.